1. We're currently conducting systematic tests with the release version of macOS 11 (Big Sur) in order to offer full compatibility of our products as soon as possible. You can find our latest compatibility status - here


    Please note that although announced at the same time as macOS Big Sur, Apple Silicon processors are an independent release with separate compatibility concerns for NI products. Compatibility with macOS Big Sur will not yet ensure compatibility with Apple Silicon processors. At the moment, Native Instruments products are not supported on computers with Apple Silicon processors. Read more - here

    Dismiss Notice

Will ultimate 12 work after select 13 update?

Discussion in 'Discontinued Products' started by RockinJohn, Oct 8, 2020.

  1. RockinJohn

    RockinJohn New Member

    Messages:
    4
    Hi
    I’ve just got Komplete 13 select installed on my Mac and have been offered Komplete ultimate 12 for a bargain price. My question is: will it all work since some instruments will be at an earlier state?
    I’m a 52 year old newbie newbie so please forgive my ignorance.
    Thanks
     
  2. MartinHines

    MartinHines NI Product Owner

    Messages:
    966
    It will work, but some instruments will be updated to the new version.
    There can only be one version of each unique product.

    For example , you could have one instance of Kontakt 5 and one instance of Kontakt 6 (now just named Kontakt) exist at the same time, but you can’t have multiple versions of the same product. For example, if you have Battery 4 (version 4.0.0) installed, and you ran the most current Battery update (e.g. version 4.1.3), the new version would overwrite the old version, because the main program executable is named “Battery 4”. The same is true for the VST plugin, since its name is Battery 4.dll.

    Also normally an installer will warn you if you are trying to install an older version than what is on your system. Fo example, if I have Kontakt v 6.4.2 already installed (the most current version) ,and I ran a Kontakt v 6.0.0 installer, Native Access would provide a warning “this version is older... do you really want to install?”.

    The only other comment I would make is make sure the Komplete 12 you are buying is a full retail version, not an update or upgrade version, which require qualifying products already be authorized to your NI User Account. For example, I just purchased a Komplete 13 Ultimate Collector’s Edition Update version for $499. To be authorized, I had to have an authorized
    Komplete 12 Ultimate Collector’s Edition already authorized to my NI User Account.
     
    Last edited: Oct 8, 2020
  3. RockinJohn

    RockinJohn New Member

    Messages:
    4
    Thanks for the advice. The ultimate 12 is an upgrade from select (I have select 13). So am hoping it will work.
     
  4. Blindeddie

    Blindeddie NI Product Owner

    Messages:
    2,849
    I would consult an NI rep before buying the "Upgrade" as it might not be "Backward" compatible as this would actually be a "pseudo" downgrade. use the chat feature here...

    https://support.native-instruments.com/hc/en-us/sections/360000092537
     
  5. RockinJohn

    RockinJohn New Member

    Messages:
    4
  6. RockinJohn

    RockinJohn New Member

    Messages:
    4
    Native’s support desk were really helpful and gave me a komplete 12 select license. I got ultimate 12 today and am very pleased ( if somewhat overwhelmed) with it. Thanks for the advice. I’d have been struggling without.
     
    Last edited: Oct 11, 2020
    • Like Like x 3
  7. Matt @ NI

    Matt @ NI Support Team NI Team

    Messages:
    1,357
    I was about to say, it's not directly backward compatible but we can usually sort something out ;)
     
    • Like Like x 2
  8. Kubrak

    Kubrak NI Product Owner

    Messages:
    346
    I would add that it is possible to install different major versions of product. I do not know if all standalone ones, but at least some.
    E.g. I have Kontakt 5 and Kontakt 6 installed on one computer and there is no problem.